> ## Name

> cgGLSetMatrixParameterdc - set the values of a matrix array parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetMatrixParameterdc( CGparameter param,
>                                    const double * matrix );

> ## Parameters

> param
>   The matrix parameter that will be set.
> matrix
>   An array of values used to set the matrix parameter. The array must be the number of rows times the number of columns in size.

> ## Return Values

> None.

> ## Description

> cgGLSetMatrixParameterdc sets the value of a matrix parameter from an array of doubles laid out in column-major order.

> cgGLSetMatrixParameterdc functions may only be called with uniform parameters.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLSetMatrixParameterdc was introduced in Cg 1.1.

> ## See Also

> cgGLGetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetParameter